import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineStatusSchema } from '../enums/ServiceLineStatus.schema'

const makeSchema = () => z.object({
  set: ServiceLineStatusSchema.optional()
}).strict();
export const EnumServiceLineStatusFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumServiceLineStatusFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumServiceLineStatusFieldUpdateOperationsInput>;
export const EnumServiceLineStatusFieldUpdateOperationsInputObjectZodSchema = makeSchema();
